Bug 27095 - Installer crashed upon loading packages
Installer crashed upon loading packages
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-11 17:59 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-11 22:54:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-11 17:59:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)


I use my Primary Slave to install Linux; on my first drive, I've got 
Windows, so I would like to dual boot my system... I've already formatted 
my second drive as a linux drive, and also have a swap partition...

The anaconda works perfect, until I get to the part where he says "Reading 
package information"; a couple of seconds later, he gives me an error 
message, and I have to abort the installation...

Reproducible: Always
Steps to Reproduce:
1. Start installation program
2. Indicate my second harddrive (that already is formatted as a linux 
partition, with partition magic 6) as the ROOT (/)
3. Reading package information, and BAMM, it crashes 
	

Actual Results:  I've had to restart my computer

Expected Results:  I exspected that the thing works !

My system configuration:

AMD Duron 800@1000
192 MB RAM
Win 98SE

2 harddisks; IBM and QUANTUM
IBM: C: ; D: ; E: 
QUANTUM:  Linux partition

Promise ATA100 drivers, but connected my drives to the regulary IDE 
sockets to avoid any compatibility problems...

and last but not least; the error message:

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: indexhtml

Local variables in innermost frame:
self: <comps.HeaderList instance at 823c658>
item: indexhtml

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>
Comment 1 Need Real Name 2001-02-11 19:23:08 EST
I have seen the same exact problem of my system, after I downloaded RH7.0 from the FTP site, and attempted to load it via HD.
Comment 2 Michael Fulbright 2001-02-11 22:54:45 EST
You are missing file(s) in the hard drive image you setup which are required.
Comment 3 Need Real Name 2001-02-12 11:08:55 EST
   I was able to correct this problem, simply by going into the RedHat\base directory(in my HD image), and removing all "indexhtml" entries from the 
"comps" file(I believe there are three references). After performing this operation, the installation was successful. I then was able to map my windows 
drives and install the indexhtml rpm manually(as it was ignored during the install process).
  Note: When modifying the comps file, ensure that you do not use a windows editor that saves CRLF pairs for newlines(notepad), instead use a unix 
compatible editor such as textpad to perform the changes.


Note You need to log in before you can comment on or make changes to this bug.